=== libdeps/native-tft/RadioLib/examples/NonArduino/ESP-IDF/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# include the top-level cmake
include($ENV{IDF_PATH}/tools/cmake/project.cmake)

# name the project something nice
project(esp-sx1261)
