=== debian/changelog ===
meshtasticd (2.7.14.369~obs7212fb9~unstable) unstable; urgency=medium

  * GitHub Actions Automatic packaging for
    2.7.14.369~obs7212fb9~unstable

 --  <jbennett@incomsystems.biz>  Thu, 13 Nov 2025 02:37:56 +0000
