## meshtasticd 2.7.15.46~obsd18f3f7~alpha

=== debian/changelog ===
meshtasticd (2.7.15.46~obsd18f3f7~alpha) alpha; urgency=medium

  * GitHub Actions Automatic packaging for 2.7.15.46~obsd18f3f7~alpha

 --  <jbennett@incomsystems.biz>  Wed, 19 Nov 2025 16:15:54 +0000
